import * as core from "@terrascript/core";

export interface DomainIdentityVerificationArgs extends core.ResourceArgs {
  domain: string | core.StringOut;
}

export class DomainIdentityVerification extends core.Resource<DomainIdentityVerificationArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String)
  public domain!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DomainIdentityVerificationArgs) {
    super(name, "aws_ses_domain_identity_verification", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
